@extends('layouts.guest1')
@section('title', 'Login account')
@section('content')

    
<body class="auth-body">


	<div class="container">
		
		@if (Session::has('status'))
		<div class="alert alert-info alert-dismissible fade show" role="alert">
			{{ session('status') }}
			<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
		</div>
	@endif
    <div class="auth-container mt-4 mb-4">
        <div class="text-center">
			<a href="/">
				<img src="{{ asset('storage/app/public/'.$settings->logo)}}" style="height: 60px" class="text-center" />
			</a>
		</div>
				<h4 class="text-center">Login to your account</h4>
                <div class="input-group mb-4">
                  
				@error('email')
				<h6 class="fs-6 text-danger">{{ $message }}</h6>
			@enderror
                  
			</div>
		<form action="{{ route('login') }}" method="post" class="mt-4">
			@csrf
			<label>Email<span class="text-danger">*</span></label>
			<div class="input-group mb-4">
				<div class="input-group-prepend">
				<span class="input-group-text"><i class="fas fa-envelope"></i></span>
				</div>
				<input type="email" placeholder="name@example.com" required name="email" value="" class="form-control" id="email">
                
			</div>

			<label>Password<span class="text-danger">*</span></label>
			<div class="input-group mb-4">
				<div class="input-group-prepend">
				<span class="input-group-text"><i class="fas fa-lock"></i></span>
				</div>
				<input type="password" placeholder="Your Password" class="form-control" id="pwd" required name="password">
			</div>
			<div class="d-flex mb-4">
				<div class="mr-auto">
					<div class="custom-control custom-checkbox">
						<input type="checkbox" class="custom-control-input" id="customCheck" name="remember">
						<label class="custom-control-label" for="customCheck">Remember me</label>
					</div>
				</div>
				<div>
					<a href="{{ route('password.request') }}" class="text-muted">Forgot password?</a>
				</div>
			</div>
			
			<button type="submit" class="btn btn-primary mb-4 btn-block">Login</button>
			
		</form>
		<p class="text-muted text-center mt-5">Don't have an account ? <a href="{{ route('register') }}" class="text-muted font-weight-bold">Sign Up</a></p>
		<p class="text-muted text-center">© Copyright 2009  {{ $settings->site_name }}   All Rights Reserved.</p>
		</div>
		
</div>


@endsection
